The AssetManager handles loading and accessing a variety of asset types. You can add assets directly (via the 'add...' methods) or asynchronously via a queue. This allows you to deal with assets in a unified way, no matter if they are loaded from a file, directory, URL, or from an embedded object.

The class can deal with the following media types:

- Textures, either from Bitmaps or ATF data
- Texture atlases
- Bitmap Fonts
- Sounds
- XML data
- JSON data
- ByteArrays

For more information on how to add assets from different sources, read the documentation of the "enqueue()" method.

Context Loss

When the stage3D context is lost (and you have enabled 'Starling.handleLostContext'), the AssetManager will automatically restore all loaded textures. To save memory, it will get them from their original sources. Since this is done asynchronously, your images might not reappear all at once, but during a timeframe of several seconds. If you want, you can pause your game during that time; the AssetManager dispatches an "Event.TEXTURES_RESTORED" event when all textures have been restored.

Error handling

Loading of some assets may fail while the queue is being processed. In that case, the AssetManager will dispatch events of type "IO_ERROR", "SECURITY_ERROR" or "PARSE_ERROR". You can listen to those events and handle the errors manually (e.g., you could enqueue them once again and retry, or provide placeholder textures). Queue processing will continue even when those events are dispatched.

Using variable texture formats

When you enqueue a texture, its properties for "format", "scale", "mipMapping", and "repeat" will reflect the settings of the AssetManager at the time they were enqueued. This means that you can enqueue a bunch of textures, then change the settings and enqueue some more. Like this:

    						appDir:File = File.applicationDirectory;
    						assets:AssetManager = new AssetManager();
    						assets.textureFormat = Context3DTextureFormat.BGRA;
    						assets.enqueue(appDir.resolvePath("textures/32bit"));
    						assets.textureFormat = Context3DTextureFormat.BGRA_PACKED;
    						assets.enqueue(appDir.resolvePath("textures/16bit"));
    					assets.loadQueue(...);

### Hierarchy

- EventDispatcher
  - AssetManager

## Index

### Constructors

- constructor

### Properties

- checkPolicyFile
- forcePotTextures
- isLoading
- keepAtlasXmls
- keepFontXmls
- numConnections
- numQueuedAssets
- queue
- registerBitmapFontsWithFontFace
- scaleFactor
- textureFormat
- useMipMaps
- verbose

### Methods

- addBitmapFont
- addByteArray
- addEventListener
- addObject
- addSound
- addTexture
- addTextureAtlas
- addXml
- dispatchEvent
- dispatchEventWith
- dispose
- enqueue
- enqueueWithName
- getBitmapFont
- getBitmapFontNames
- getByteArray
- getByteArrayNames
- getObject
- getObjectNames
- getSound
- getSoundNames
- getTexture
- getTextureAtlas
- getTextureAtlasNames
- getTextureNames
- getTextures
- getXml
- getXmlNames
- get_checkPolicyFile
- get_forcePotTextures
- get_isLoading
- get_keepAtlasXmls
- get_keepFontXmls
- get_numConnections
- get_numQueuedAssets
- get_queue
- get_registerBitmapFontsWithFontFace
- get_scaleFactor
- get_textureFormat
- get_useMipMaps
- get_verbose
- hasEventListener
- loadQueue
- playSound
- purge
- purgeQueue
- removeBitmapFont
- removeByteArray
- removeEventListener
- removeEventListeners
- removeObject
- removeSound
- removeTexture
- removeTextureAtlas
- removeXml
- set_checkPolicyFile
- set_forcePotTextures
- set_keepAtlasXmls
- set_keepFontXmls
- set_numConnections
- set_registerBitmapFontsWithFontFace
- set_scaleFactor
- set_textureFormat
- set_useMipMaps
- set_verbose

## Constructors

### constructor

- new AssetManager(scaleFactor?: number, useMipmaps?: boolean): AssetManager

- Overrides EventDispatcher.constructor

  - Defined in lib/starling/utils/AssetManager.d.ts:98

  Create a new AssetManager. The 'scaleFactor' and 'useMipmaps' parameters define how enqueued bitmaps will be converted to textures.

  #### Parameters

  - ##### Optional scaleFactor: number

  - ##### Optional useMipmaps: boolean

  #### Returns AssetManager

## Properties

### checkPolicyFile

checkPolicyFile: boolean

- Defined in lib/starling/utils/AssetManager.d.ts:347

Specifies whether a check should be made for the existence of a URL policy file before loading an object from a remote server. More information about this topic can be found in the 'flash.system.LoaderContext' documentation. @default false

### forcePotTextures

forcePotTextures: boolean

- Defined in lib/starling/utils/AssetManager.d.ts:340

Indicates if the underlying Stage3D textures should be created as the power-of-two based `Texture` class instead of the more memory efficient `RectangleTexture`. @default false

### isLoading

isLoading: boolean

- Defined in lib/starling/utils/AssetManager.d.ts:315

Indicates if a queue is currently being loaded.

### keepAtlasXmls

keepAtlasXmls: boolean

- Defined in lib/starling/utils/AssetManager.d.ts:354

Indicates if atlas XML data should be stored for access via the 'getXml' method. If true, you can access an XML under the same name as the atlas. If false, XMLs will be disposed when the atlas was created. @default false.

### keepFontXmls

keepFontXmls: boolean

- Defined in lib/starling/utils/AssetManager.d.ts:361

Indicates if bitmap font XML data should be stored for access via the 'getXml' method. If true, you can access an XML under the same name as the bitmap font. If false, XMLs will be disposed when the font was created. @default false.

### numConnections

numConnections: number

- Defined in lib/starling/utils/AssetManager.d.ts:367

The maximum number of parallel connections that are spawned when loading the queue. More connections can reduce loading times, but require more memory. @default 3.

### numQueuedAssets

numQueuedAssets: number

- Defined in lib/starling/utils/AssetManager.d.ts:305

Returns the number of raw assets that have been enqueued, but not yet loaded.

### Protected queue

queue: Array<any>

- Defined in lib/starling/utils/AssetManager.d.ts:301

The queue contains one 'Object' for each enqueued asset. Each object has 'asset' and 'name' properties, pointing to the raw asset and its name, respectively.

### registerBitmapFontsWithFontFace

registerBitmapFontsWithFontFace: boolean

- Defined in lib/starling/utils/AssetManager.d.ts:374

Indicates if bitmap fonts should be registered with their "face" attribute from the font XML file. Per default, they are registered with the name of the texture file. @default false

### scaleFactor

scaleFactor: number

- Defined in lib/starling/utils/AssetManager.d.ts:327

Textures that are created from Bitmaps or ATF files will have the scale factor assigned here. @default 1

### textureFormat

textureFormat: Context3DTextureFormat

- Defined in lib/starling/utils/AssetManager.d.ts:333

Textures that are created from Bitmaps will be uploaded to the GPU with the `Context3DTextureFormat` assigned to this property. @default "bgra"

### useMipMaps

useMipMaps: boolean

- Defined in lib/starling/utils/AssetManager.d.ts:321

For bitmap textures, this flag indicates if mip maps should be generated when they are loaded; for ATF textures, it indicates if mip maps are valid and should be used. @default false

### verbose

verbose: boolean

- Defined in lib/starling/utils/AssetManager.d.ts:310

When activated, the class will trace information about added/enqueued assets.

default

  true

## Methods

### addBitmapFont

- addBitmapFont(name: string, font: BitmapFont): void

- - Defined in lib/starling/utils/AssetManager.d.ts:210

  Register a bitmap font under a certain name. It will be available right away. If the name was already taken, the existing font will be disposed and replaced by the new one.

  Note that the font is not registered at the TextField class. This only happens when a bitmap font is loaded via the asset queue.

  #### Parameters

  - ##### name: string

  - ##### font: BitmapFont

  #### Returns void

### addByteArray

- addByteArray(name: string, byteArray: ByteArray): void

- - Defined in lib/starling/utils/AssetManager.d.ts:201

  Register a byte array under a certain name. It will be available right away. If the name was already taken, the existing byte array will be cleared and replaced by the new one.

  #### Parameters

  - ##### name: string

  - ##### byteArray: ByteArray

  #### Returns void

### addEventListener

- addEventListener(type: string, listener: Function): void

- Inherited from EventDispatcher.addEventListener

  - Defined in lib/starling/events/EventDispatcher.d.ts:32

  Registers an event listener at a certain object.

  #### Parameters

  - ##### type: string

  - ##### listener: Function

  #### Returns void

### addObject

- addObject(name: string, object: any): void

- - Defined in lib/starling/utils/AssetManager.d.ts:196

  Register an arbitrary object under a certain name. It will be available right away. If the name was already taken, the existing object will be replaced by the new one.

  #### Parameters

  - ##### name: string

  - ##### object: any

  #### Returns void

### addSound

- addSound(name: string, sound: Sound): void

- - Defined in lib/starling/utils/AssetManager.d.ts:187

  Register a sound under a certain name. It will be available right away. If the name was already taken, the existing sound will be replaced by the new one.

  #### Parameters

  - ##### name: string

  - ##### sound: Sound

  #### Returns void

### addTexture

- addTexture(name: string, texture: Texture): void

- - Defined in lib/starling/utils/AssetManager.d.ts:178

  Register a texture under a certain name. It will be available right away. If the name was already taken, the existing texture will be disposed and replaced by the new one.

  #### Parameters

  - ##### name: string

  - ##### texture: Texture

  #### Returns void

### addTextureAtlas

- addTextureAtlas(name: string, atlas: TextureAtlas): void

- - Defined in lib/starling/utils/AssetManager.d.ts:183

  Register a texture atlas under a certain name. It will be available right away. If the name was already taken, the existing atlas will be disposed and replaced by the new one.

  #### Parameters

  - ##### name: string

  - ##### atlas: TextureAtlas

  #### Returns void

### addXml

- addXml(name: string, xml: any): void

- - Defined in lib/starling/utils/AssetManager.d.ts:192

  Register an XML object under a certain name. It will be available right away. If the name was already taken, the existing XML will be disposed and replaced by the new one.

  #### Parameters

  - ##### name: string

  - ##### xml: any

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): void

- Inherited from EventDispatcher.dispatchEvent

  - Defined in lib/starling/events/EventDispatcher.d.ts:45

  Dispatches an event to all objects that have registered listeners for its type. If an event with enabled 'bubble' property is dispatched to a display object, it will travel up along the line of parents, until it either hits the root object or someone stops its propagation manually.

  #### Parameters

  - ##### event: Event

  #### Returns void

### dispatchEventWith

- dispatchEventWith(type: string, bubbles?: boolean, data?: any): void

- Inherited from EventDispatcher.dispatchEventWith

  - Defined in lib/starling/events/EventDispatcher.d.ts:50

  Dispatches an event with the given parameters to all objects that have registered listeners for the given type. The method uses an internal pool of event objects to avoid allocations.

  #### Parameters

  - ##### type: string

  - ##### Optional bubbles: boolean

  - ##### Optional data: any

  #### Returns void

### dispose

- dispose(): void

- - Defined in lib/starling/utils/AssetManager.d.ts:109

  Disposes all contained textures, XMLs and ByteArrays.

  Beware that all references to the assets will remain intact, even though the assets are no longer valid. Call 'purge' if you want to remove all resources and reuse the AssetManager later.

  #### Returns void

### enqueue

- enqueue(rawAssets: Array<any>): void

- - Defined in lib/starling/utils/AssetManager.d.ts:270

  Enqueues one or more raw assets; they will only be available after successfully executing the "loadQueue" method. This method accepts a variety of different objects:

  - Strings or URLRequests containing an URL to a local or remote resource. Supported types: `png, jpg, gif, atf, mp3, xml, fnt, json, binary`.
  - Instances of the File class (AIR only) pointing to a directory or a file. Directories will be scanned recursively for all supported types.
  - Classes that contain `static` embedded assets.
  - If the file extension is not recognized, the data is analyzed to see if contains XML or JSON data. If it's neither, it is stored as ByteArray.

  Suitable object names are extracted automatically: A file named "image.png" will be accessible under the name "image". When enqueuing embedded assets via a class, the variable name of the embedded object will be used as its name. An exception are texture atlases: they will have the same name as the actual texture they are referencing.

  XMLs that contain texture atlases or bitmap fonts are processed directly: fonts are registered at the TextField class, atlas textures can be acquired with the "getTexture()" method. All other XMLs are available via "getXml()".

  If you pass in JSON data, it will be parsed into an object and will be available via "getObject()".

  #### Parameters

  - ##### rawAssets: Array<any>

  #### Returns void

### enqueueWithName

- enqueueWithName(asset: any, name?: string, options?: TextureOptions): string

- - Defined in lib/starling/utils/AssetManager.d.ts:282

  Enqueues a single asset with a custom name that can be used to access it later. If the asset is a texture, you can also add custom texture options.

  #### Parameters

  - ##### asset: any

    The asset that will be enqueued; accepts the same objects as the 'enqueue' method.

  - ##### Optional name: string

    The name under which the asset will be found later. If you pass null or omit the parameter, it's attempted to generate a name automatically.

  - ##### Optional options: TextureOptions

    Custom options that will be used if 'asset' points to texture data.

  #### Returns string

  the name with which the asset was registered.

### getBitmapFont

- getBitmapFont(name: string): BitmapFont

- - Defined in lib/starling/utils/AssetManager.d.ts:167

  Returns a bitmaps font with a certain name, or null if it's not found.

  #### Parameters

  - ##### name: string

  #### Returns BitmapFont

### getBitmapFontNames

- getBitmapFontNames(prefix?: string, out?: Vector<string>): Vector<string>

- - Defined in lib/starling/utils/AssetManager.d.ts:171

  Returns all bitmap fonts names that start with a certain string, sorted alphabetically. If you pass an `out`-vector, the names will be added to that vector.

  #### Parameters

  - ##### Optional prefix: string

  - ##### Optional out: Vector<string>

  #### Returns Vector<string>

### getByteArray

- getByteArray(name: string): ByteArray

- - Defined in lib/starling/utils/AssetManager.d.ts:160

  Returns a byte array with a certain name, or null if it's not found.

  #### Parameters

  - ##### name: string

  #### Returns ByteArray

### getByteArrayNames

- getByteArrayNames(prefix?: string, out?: Vector<string>): Vector<string>

- - Defined in lib/starling/utils/AssetManager.d.ts:164

  Returns all byte array names that start with a certain string, sorted alphabetically. If you pass an `out`-vector, the names will be added to that vector.

  #### Parameters

  - ##### Optional prefix: string

  - ##### Optional out: Vector<string>

  #### Returns Vector<string>

### getObject

- getObject(name: string): any

- - Defined in lib/starling/utils/AssetManager.d.ts:153

  Returns an object with a certain name, or null if it's not found. Enqueued JSON data is parsed and can be accessed with this method.

  #### Parameters

  - ##### name: string

  #### Returns any

### getObjectNames

- getObjectNames(prefix?: string, out?: Vector<string>): Vector<string>

- - Defined in lib/starling/utils/AssetManager.d.ts:157

  Returns all object names that start with a certain string, sorted alphabetically. If you pass an `out`-vector, the names will be added to that vector.

  #### Parameters

  - ##### Optional prefix: string

  - ##### Optional out: Vector<string>

  #### Returns Vector<string>

### getSound

- getSound(name: string): Sound

- - Defined in lib/starling/utils/AssetManager.d.ts:133

  Returns a sound with a certain name, or null if it's not found.

  #### Parameters

  - ##### name: string

  #### Returns Sound

### getSoundNames

- getSoundNames(prefix?: string, out?: Vector<string>): Vector<string>

- - Defined in lib/starling/utils/AssetManager.d.ts:137

  Returns all sound names that start with a certain string, sorted alphabetically. If you pass an `out`-vector, the names will be added to that vector.

  #### Parameters

  - ##### Optional prefix: string

  - ##### Optional out: Vector<string>

  #### Returns Vector<string>

### getTexture

- getTexture(name: string): Texture

- - Defined in lib/starling/utils/AssetManager.d.ts:116

  Returns a texture with a certain name. The method first looks through the directly added textures; if no texture with that name is found, it scans through all texture atlases.

  #### Parameters

  - ##### name: string

  #### Returns Texture

### getTextureAtlas

- getTextureAtlas(name: string): TextureAtlas

- - Defined in lib/starling/utils/AssetManager.d.ts:126

  Returns a texture atlas with a certain name, or null if it's not found.

  #### Parameters

  - ##### name: string

  #### Returns TextureAtlas

### getTextureAtlasNames

- getTextureAtlasNames(prefix?: string, out?: Vector<string>): Vector<string>

- - Defined in lib/starling/utils/AssetManager.d.ts:130

  Returns all texture atlas names that start with a certain string, sorted alphabetically. If you pass an `out`-vector, the names will be added to that vector.

  #### Parameters

  - ##### Optional prefix: string

  - ##### Optional out: Vector<string>

  #### Returns Vector<string>

### getTextureNames

- getTextureNames(prefix?: string, out?: Vector<string>): Vector<string>

- - Defined in lib/starling/utils/AssetManager.d.ts:123

  Returns all texture names that start with a certain string, sorted alphabetically.

  #### Parameters

  - ##### Optional prefix: string

  - ##### Optional out: Vector<string>

  #### Returns Vector<string>

### getTextures

- getTextures(prefix?: string, out?: Vector<Texture>): Vector<Texture>

- - Defined in lib/starling/utils/AssetManager.d.ts:120

  Returns all textures that start with a certain string, sorted alphabetically (especially useful for "MovieClip").

  #### Parameters

  - ##### Optional prefix: string

  - ##### Optional out: Vector<Texture>

  #### Returns Vector<Texture>

### getXml

- getXml(name: string): any

- - Defined in lib/starling/utils/AssetManager.d.ts:145

  Returns an XML with a certain name, or null if it's not found.

  #### Parameters

  - ##### name: string

  #### Returns any

### getXmlNames

- getXmlNames(prefix?: string, out?: Vector<string>): Vector<string>

- - Defined in lib/starling/utils/AssetManager.d.ts:149

  Returns all XML names that start with a certain string, sorted alphabetically. If you pass an `out`-vector, the names will be added to that vector.

  #### Parameters

  - ##### Optional prefix: string

  - ##### Optional out: Vector<string>

  #### Returns Vector<string>

### Protected get_checkPolicyFile

- get_checkPolicyFile(): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:348

  #### Returns boolean

### Protected get_forcePotTextures

- get_forcePotTextures(): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:341

  #### Returns boolean

### Protected get_isLoading

- get_isLoading(): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:316

  #### Returns boolean

### Protected get_keepAtlasXmls

- get_keepAtlasXmls(): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:355

  #### Returns boolean

### Protected get_keepFontXmls

- get_keepFontXmls(): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:362

  #### Returns boolean

### Protected get_numConnections

- get_numConnections(): number

- - Defined in lib/starling/utils/AssetManager.d.ts:368

  #### Returns number

### Protected get_numQueuedAssets

- get_numQueuedAssets(): number

- - Defined in lib/starling/utils/AssetManager.d.ts:306

  #### Returns number

### Protected get_queue

- get_queue(): Array<any>

- - Defined in lib/starling/utils/AssetManager.d.ts:302

  #### Returns Array<any>

### get_registerBitmapFontsWithFontFace

- get_registerBitmapFontsWithFontFace(): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:375

  #### Returns boolean

### Protected get_scaleFactor

- get_scaleFactor(): number

- - Defined in lib/starling/utils/AssetManager.d.ts:328

  #### Returns number

### Protected get_textureFormat

- get_textureFormat(): Context3DTextureFormat

- - Defined in lib/starling/utils/AssetManager.d.ts:334

  #### Returns Context3DTextureFormat

### Protected get_useMipMaps

- get_useMipMaps(): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:322

  #### Returns boolean

### Protected get_verbose

- get_verbose(): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:311

  #### Returns boolean

### hasEventListener

- hasEventListener(type: string, listener?: any): boolean

- Inherited from EventDispatcher.hasEventListener

  - Defined in lib/starling/events/EventDispatcher.d.ts:55

  If called with one argument, figures out if there are any listeners registered for the given event type. If called with two arguments, also determines if a specific listener is registered.

  #### Parameters

  - ##### type: string

  - ##### Optional listener: any

  #### Returns boolean

### loadQueue

- loadQueue(onProgress: function): void

- - Defined in lib/starling/utils/AssetManager.d.ts:295

  Loads all enqueued assets asynchronously. The 'onProgress' will be called with a 'ratio' between '0.0' and '1.0', with '1.0' meaning that it's complete.

  When you call this method, the manager will save a reference to "Starling.current"; all textures that are loaded will be accessible only from within this instance. Thus, if you are working with more than one Starling instance, be sure to call "makeCurrent()" on the appropriate instance before processing the queue.

  #### Parameters

  - ##### onProgress: function

    `function(ratio:Number):void;`

    - - (number: any): void

      - #### Parameters

        - ##### number: any

        #### Returns void

### playSound

- playSound(name: string, startTime?: number, loops?: number, transform?: SoundTransform): SoundChannel

- - Defined in lib/starling/utils/AssetManager.d.ts:141

  Generates a new SoundChannel object to play back the sound. This method returns a SoundChannel object, which you can access to stop the sound and to control volume.

  #### Parameters

  - ##### name: string

  - ##### Optional startTime: number

  - ##### Optional loops: number

  - ##### Optional transform: SoundTransform

  #### Returns SoundChannel

### purge

- purge(): void

- - Defined in lib/starling/utils/AssetManager.d.ts:240

  Removes assets of all types (disposing them along the way), empties the queue and aborts any pending load operations.

  #### Returns void

### purgeQueue

- purgeQueue(): void

- - Defined in lib/starling/utils/AssetManager.d.ts:236

  Empties the queue and aborts any pending load operations.

  #### Returns void

### removeBitmapFont

- removeBitmapFont(name: string, dispose?: boolean): void

- - Defined in lib/starling/utils/AssetManager.d.ts:233

  Removes a certain bitmap font, optionally disposing it.

  #### Parameters

  - ##### name: string

  - ##### Optional dispose: boolean

  #### Returns void

### removeByteArray

- removeByteArray(name: string, dispose?: boolean): void

- - Defined in lib/starling/utils/AssetManager.d.ts:230

  Removes a certain byte array, optionally disposing its memory right away.

  #### Parameters

  - ##### name: string

  - ##### Optional dispose: boolean

  #### Returns void

### removeEventListener

- removeEventListener(type: string, listener: Function): void

- Inherited from EventDispatcher.removeEventListener

  - Defined in lib/starling/events/EventDispatcher.d.ts:35

  Removes an event listener from the object.

  #### Parameters

  - ##### type: string

  - ##### listener: Function

  #### Returns void

### removeEventListeners

- removeEventListeners(type?: string): void

- Inherited from EventDispatcher.removeEventListeners

  - Defined in lib/starling/events/EventDispatcher.d.ts:39

  Removes all event listeners with a certain type, or all of them if type is null. Be careful when removing all event listeners: you never know who else was listening.

  #### Parameters

  - ##### Optional type: string

  #### Returns void

### removeObject

- removeObject(name: string): void

- - Defined in lib/starling/utils/AssetManager.d.ts:227

  Removes a certain object.

  #### Parameters

  - ##### name: string

  #### Returns void

### removeSound

- removeSound(name: string): void

- - Defined in lib/starling/utils/AssetManager.d.ts:221

  Removes a certain sound.

  #### Parameters

  - ##### name: string

  #### Returns void

### removeTexture

- removeTexture(name: string, dispose?: boolean): void

- - Defined in lib/starling/utils/AssetManager.d.ts:215

  Removes a certain texture, optionally disposing it.

  #### Parameters

  - ##### name: string

  - ##### Optional dispose: boolean

  #### Returns void

### removeTextureAtlas

- removeTextureAtlas(name: string, dispose?: boolean): void

- - Defined in lib/starling/utils/AssetManager.d.ts:218

  Removes a certain texture atlas, optionally disposing it.

  #### Parameters

  - ##### name: string

  - ##### Optional dispose: boolean

  #### Returns void

### removeXml

- removeXml(name: string, dispose?: boolean): void

- - Defined in lib/starling/utils/AssetManager.d.ts:224

  Removes a certain Xml object, optionally disposing it.

  #### Parameters

  - ##### name: string

  - ##### Optional dispose: boolean

  #### Returns void

### Protected set_checkPolicyFile

- set_checkPolicyFile(value: boolean): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:349

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_forcePotTextures

- set_forcePotTextures(value: boolean): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:342

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_keepAtlasXmls

- set_keepAtlasXmls(value: boolean): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:356

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_keepFontXmls

- set_keepFontXmls(value: boolean): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:363

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_numConnections

- set_numConnections(value: number): number

- - Defined in lib/starling/utils/AssetManager.d.ts:369

  #### Parameters

  - ##### value: number

  #### Returns number

### set_registerBitmapFontsWithFontFace

- set_registerBitmapFontsWithFontFace(value: boolean): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:376

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_scaleFactor

- set_scaleFactor(value: number): number

- - Defined in lib/starling/utils/AssetManager.d.ts:329

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_textureFormat

- set_textureFormat(value: Context3DTextureFormat): Context3DTextureFormat

- - Defined in lib/starling/utils/AssetManager.d.ts:335

  #### Parameters

  - ##### value: Context3DTextureFormat

  #### Returns Context3DTextureFormat

### Protected set_useMipMaps

- set_useMipMaps(value: boolean): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:323

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_verbose

- set_verbose(value: boolean): boolean

- - Defined in lib/starling/utils/AssetManager.d.ts:312

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

Generated using TypeDoc